--(c) 2008 Daniel Quathamer
--freemarker template


CREATE temp TABLE tmp_sichten (
     parent character(255),
    systeminfoid integer DEFAULT 0 NOT NULL,
    art character(40),
    type integer ,
    name_intern character(200),
    name character(200),
    beschreibung character(255),
    sortnr integer DEFAULT 0 NOT NULL,
    quelle character(255),
    alt_hier_id character(150),
    treecfgtable character(255),
    treecfgid character(150),
    label smallint DEFAULT 0 NOT NULL,
    user_rechte smallint DEFAULT 1 NOT NULL,
    rechtequelle character(255),
    sesamkey character(100),
    standbutton smallint DEFAULT 0 NOT NULL,
    attribut1 character(255),
    attribut2 character(255),
    attribut3 integer,
    attribut4 integer,
    xmlmaxentries integer,
    gueltig_seit date ,
    gueltig_bis date,
    aktiv smallint DEFAULT 1
);


INSERT INTO tmp_sichten(
    systeminfoid  , art  , type  , name_intern  , name  , 
  sortnr  , quelle  , label  , 
  user_rechte  ,  standbutton  , 
   xmlmaxentries  , 
  gueltig_seit  , gueltig_bis  , aktiv) VALUES (
   160  , 'KB-Dokument-Sicht'  , 10  , 'kb_document_sg'  , 
  'Sachgebiet und Dokument'  ,  1  , 
  '<<SQL>> select defaulttext,apnr,parent from kb_document_sg order  by 1' 
  ,  0  , 0  ,  0  , 1000,
  date('01.01.1900')  , date('01.01.3000') , 1);

INSERT INTO tmp_sichten(
    systeminfoid  , art  , type  , name_intern  , name  , 
  sortnr  , quelle  , label  , 
  user_rechte  ,  standbutton  , 
   xmlmaxentries  , 
  gueltig_seit  , gueltig_bis  , aktiv) VALUES (
   160  , 'KB-Dokument-Sicht'  , 10  , 'kb_document_sg_ns'  , 
  '(Sachgebiet und) Dokument'  ,  10  , 
  '<<SQL>> select defaulttext,apnr,parent,(case when struktur_str=''Dokument'' then 0::smallint else 2::smallint end)  as nodeattrib from kb_document_sg order  by 1' 
  ,  0  , 0  ,  0  , 1000,
  date('01.01.1900')  , date('01.01.3000') , 1);

  
--Zur Sicherheit alle Quellen von Sichten 
update sichten set quelle=(select T.quelle from tmp_sichten T
  where T.name_intern=sichten.name_intern)
  where name_intern in (select T2.name_intern from tmp_sichten T2)
;
  
delete from tmp_sichten where name_intern in (select name_intern from sichten);

INSERT INTO sichten(
   systeminfoid  , art  , type  , name_intern  , name  , 
  sortnr  , quelle  , label  , 
  user_rechte  ,  standbutton  , 
   xmlmaxentries  , 
  gueltig_seit  , gueltig_bis  , aktiv)
  select systeminfoid  , art  , type  , name_intern  , name  , 
  sortnr  , quelle  , label  , 
  user_rechte  ,  standbutton  , 
   xmlmaxentries  , 
  gueltig_seit  , gueltig_bis  , aktiv
  from tmp_sichten S;
 
  
--Rechte für Sicht geben
select 'Rechte für Sicht geben' from xdummy;
delete from sachgeb_sichtarten where sachgebiete_id=160;
insert into sachgeb_sichtarten
(
   sachgebiete_id ,
   sichtart 
)values(160,'KB-Dokument-Sicht');
drop table tmp_sichten;

  
