
function bodyTextStripped(bodyText)
{
    var ret=bodyText.replace(/<(?:.|\n)*?>/gm, '');
    var allowed = "AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz_- äüößÄÜÖ.,!?/";
    return purgevar(ret, allowed);
   
}

function validHtmlFileName(chapterName)
{
    var allowed = "AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz_-1234567890";
    var validFileName = purgevar(chapterName, allowed);
    
    return validFileName;
}

/**
 * @param chapterName
 * @param allowed
 * @return
 */
function purgevar(targetvar, allowed) {
    var validvar="";
    for (var i = 0; i < targetvar.length; i++)
    {
        var singleChar=targetvar.substring(i, i+1);
        var p = allowed.indexOf(singleChar);
        if (p > -1) 
            validvar+=singleChar;
    }
    return validvar;
}

function getChapterLevel(str)
{
var level="";
var endNumber=str.indexOf(">");
var level=str.substring(2,endNumber);
if(level=="")
	level="0";
return level;
}

function getChapterName(str,level)
{
var chapterName="";
var endAnchor=str.indexOf("</a>");
if (endAnchor>-1)
{
chapterName=str.substring(endAnchor+4,str.lastIndexOf("<")).trim();
}
else	
chapterName=str.substring(level.length+3,str.length-(2*(level.length+3))+2).trim();
//first bodytext before chapter:
if(!chapterName || chapterName=="")
	chapterName=defaulttext;

return chapterName;
}
